# frozen_string_literal: true

module ErrorsHelper
  class BadRequest < Base
    def initialize(code: '00', status: nil)
      value = ErrorsHelper.build_response(code: code)
      super message: value[:message] || ErrorsHelper.build_response(code: '00')[:message],
            code: value[:code] || ErrorsHelper.build_response(code: '00')[:code],
            status: status || :bad_request
    end
  end
end
