# frozen_string_literal: true

module ErrorsHelper
  class NotFound < Base
    def initialize(code: '07', status: nil)
      value = ErrorsHelper.build_response(code: code)
      super message: value[:message] || ErrorsHelper.build_response(code: '07')[:message],
            code: value[:code] || ErrorsHelper.build_response(code: '07')[:code],
            status: status || :not_found
    end
  end
end
