# frozen_string_literal: true

module ErrorsHelper
  class UnprocessableEntity < Base
    def initialize(code: '05', status: nil)
      value = ErrorsHelper.build_response(code: code)
      super message: value[:message] || ErrorsHelper.build_response(code: '05')[:message],
            code: value[:code] || ErrorsHelper.build_response(code: '05')[:code],
            status: status || :unprocessable_entity
    end
  end
end
